Module java.desktop
Package javax.swing.plaf.basic

## Class BasicBorders.ToggleButtonBorder

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.plaf.basic.BasicBorders.ButtonBorder
    - - javax.swing.plaf.basic.BasicBorders.ToggleButtonBorder

All Implemented Interfaces:
  `Serializable`, `Border`, `UIResource`

Enclosing class:
  BasicBorders

    public static class BasicBorders.ToggleButtonBorder
    extends BasicBorders.ButtonBorder

Draws the border around a toggle button.

See Also:
  Serialized Form

### Field Summary

### Fields declared in class javax.swing.plaf.basic.BasicBorders.ButtonBorder

`darkShadow, highlight, lightHighlight, shadow`

### Constructor Summary

Constructors
`ToggleButtonBorder​(Color shadow, Color darkShadow, Color highlight, Color lightHighlight)` Constructs a new instance of a `ToggleButtonBorder`.

### Method Summary

### Methods declared in class javax.swing.border.AbstractBorder

`getBaseline, getBaselineResizeBehavior, getBorderInsets, getBorderInsets, getInteriorRectangle, getInteriorRectangle, isBorderOpaque, paintBorder`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ToggleButtonBorder

    public ToggleButtonBorder​(Color shadow,
                              Color darkShadow,
                              Color highlight,
                              Color lightHighlight)

Constructs a new instance of a `ToggleButtonBorder`.

Parameters:
  `shadow` - a color of shadow
  `darkShadow` - a color of dark shadow
  `highlight` - a color of highlight
  `lightHighlight` - a color of light highlight